Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jan 2020 19:06:49 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 09 Jan 2020 15:56:01 +0100
> 
>     Eli> I hope you still have this crashed session in the debugger.  If so,
>     Eli> please tell: do you have many frames in that session, or just a few
>     Eli> (perhaps even one)?  I'd like to see some more details about this
>     Eli> frame, if possible.
> 
> I donʼt have it right now, but itʼs easy enough to recreate the crash
> (and yes, I tend to have half a dozen frames open). What details would
> you like?

The windows on that frame and buffers they display, and the frame
parameters.  Also, the faces.

Please keep in mind that GDB commands that invoke Emacs functions,
such as 'pp', are likely to crash during GC, so you will have to use
the x* commands instead.  For example, to show the members of a list,
you will have to use 'xcar', 'xcdr', and 'xcons'.  It's tedious, but
there's no other way of displaying Lisp object during GC without
risking to crash the session.

TIA